<div id="loading">
    <div class="middle">
        <div class="inner">
            <i class="loader large"></i>
        </div>
    </div>
</div>
<script type="text/javascript">
    setTimeout(function(){
        $('#loading').hide();
    }, 30000);
</script>